{# Renders the countbox for each post #}
{% load i18n %}
{% load server_tags %}
{% load humanize %}
<div class="post-row {{ post.get_type_display }} {{ post.get_status_display }} {{ post.get_sticky }}">

    <div class="count-box visible-lg visible-md">

        {% if not post.is_article %}

            <div class="box vote">
                {% if post.is_toplevel %}
                    <div class="c">{{ post.thread_score }}</div>
                    <div class="t">vote{{ post.thread_score|pluralize }}</div>
                {% else %}
                    <div class="c">{{ post.vote_count }}</div>
                    <div class="t">vote{{ post.vote_count|pluralize }}</div>
                {% endif %}
            </div>
            <div class="box {% boxclass post.root %}">
                <div class="c">{{ post.root.reply_count }}</div>
                <div class="t">{% trans "answer" %}{{ post.root.reply_count|pluralize }}</div>
            </div>

        {% endif %}

        <div class="box view {% if post.is_article %} article {% endif %}">
            <div class="c">{{ post.root.view_count|bignum }}</div>
            <div class="t">{% trans "views" %}</div>
        </div>

        {% if post.subs_count > 4 %}
            <!-- <div class="book_count text-center"> -->
                <!-- {{ post.subs_count }} follow -->
            <!-- </div> -->
        {% endif %}

    </div>

    {# small devices #}
    <div class="count-box-sm visible-sm visible-xs">
        <div class="box {% boxclass post.root %}">
            <div class="c">{{ post.root.reply_count }}</div>
            <div class="t">{% trans "answer" %}{{ post.reply_count|pluralize }}</div>
        </div>
    </div>

    <div class="title-box clearfix">
        <div class="post-title">
            <a href="{{ post.get_absolute_url }}">
                {% if post.type != 0 %}
                    {{ post.get_type_display }}:
                {% endif %}
                {{ post.get_title }}
            </a>
        </div>

        {% if context %}
            <div class="context">... {{ context|safe }} ...</div>
        {% endif %}

        <div class="clearfix">

            <span class="tags tag-pad visible-lg visible-md">
            {% for tag in post.tag_set.all %}
                <a class="tag" href="/t/{{ tag.name }}/">{{ tag.name }}</a>
            {% endfor %}
            </span>
            <span class="userlink text-right muted">
            {% blocktrans %}written {{ post.creation_date|time_ago }} by {% endblocktrans %}{% userlink post.author %}

                {% if post.author != post.lastedit_user %}
                    &bull; {% trans "updated" %}
                    <span class="ago2">{{ post.lastedit_date|time_ago }}</span> {% trans "by" %}
                    {% userlink post.lastedit_user %}
                {% endif %}
            </span>

        </div>

    </div>
</div>
